SimpleAnnotationValueVisitorPreview (Java SE 25 & JDK 25)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: SimpleAnnotationValueVisitorPreview
Keywords: javax.lang.model.util.SimpleAnnotationValueVisitorPreview class

# Class SimpleAnnotationValueVisitorPreview<R,P>

java.lang.Object
javax.lang.model.util.AbstractAnnotationValueVisitor6<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor6<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor7<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor8<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor9<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor14<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitorPreview<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods
  `P` - the type of the additional parameter to this visitor's methods.

All Implemented Interfaces:
  `AnnotationValueVisitor<R,P>`

@SupportedSourceVersion(RELEASE_25) public class SimpleAnnotationValueVisitorPreview<R,P> extends SimpleAnnotationValueVisitor14<R,P>
`SimpleAnnotationValueVisitorPreview` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A simple visitor for annotation values with default behavior appropriate for a preview source version. Visit methods call `defaultAction` passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  23
See Also:
  - Expected visitor evolution
  - Compatibility note for subclasses
  - `SimpleAnnotationValueVisitor6`
  - `SimpleAnnotationValueVisitor7`
  - `SimpleAnnotationValueVisitor8`
  - `SimpleAnnotationValueVisitor9`
  - `SimpleAnnotationValueVisitor14`

- ## Field Summary

  ### Fields declared in class SimpleAnnotationValueVisitor6

  `DEFAULT_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SimpleAnnotationValueVisitorPreview()`
  Constructor for concrete subclasses; uses `null` for the default value.
  `protected`
  `SimpleAnnotationValueVisitorPreview(R defaultValue)`
  Constructor for concrete subclasses; uses the argument for the default value.

- ## Method Summary

  ### Methods declared in class SimpleAnnotationValueVisitor6

  `defaultAction, visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`

  ### Methods declared in class AbstractAnnotationValueVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleAnnotationValueVisitorPreview

    protected SimpleAnnotationValueVisitorPreview()
    Constructor for concrete subclasses; uses `null` for the default value.

  - ### SimpleAnnotationValueVisitorPreview

    protected SimpleAnnotationValueVisitorPreview(R defaultValue)
    Constructor for concrete subclasses; uses the argument for the default value.
    Parameters:
      `defaultValue` - the value to assign to `SimpleAnnotationValueVisitor6.DEFAULT_VALUE`